pktools (2.6.7.6+ds-1build1) disco; urgency=medium

  * No-change rebuild against latest gdal

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 05 Jan 2019 08:59:17 -0500

pktools (2.6.7.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * Exclude more automatically removed files from upstream tarball.
  * Drop patches, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Nov 2018 18:56:49 +0100

pktools (2.6.7.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Add Build-Depends-Package field to symbols files.
  * Refresh patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Nov 2018 22:59:35 +0100

pktools (2.6.7.4+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.0, no changes.
  * Drop gdal-c++11.patch, applied upstream.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 19 Aug 2018 14:27:45 +0200

pktools (2.6.7.3+ds-3) unstable; urgency=medium

  * Strip trailing whitespace from control & rules files.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 15:39:49 +0200

pktools (2.6.7.3+ds-2) unstable; urgency=medium

  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.4, no changes.
  * Add patch to use C++11 for compatibility with GDAL 2.3.0.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 23 Apr 2018 19:19:57 +0200

pktools (2.6.7.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes.
  * Update watch file to use HTTPS.
  * Update copyright-format URL to use HTTPS.
  * Update watch file to check for uppercase releases too.
  * Install libraries in Multi-Arch path.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Feb 2018 08:01:42 +0100

pktools (2.6.7.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Exclude build directory and autocleaned files from upstream source.
  * Update copyright years for Pieter Kempeneers.
  * Drop patches applied upstream.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Install pk{ann,reclass,svm}ogr in pktools package.
  * Update spelling-errors2.patch to fix new 'columns' typo.
  * Add manpages for new executables.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 29 Jun 2017 07:51:22 +0200

pktools (2.6.7-3) unstable; urgency=medium

  * Update symbols for other architectures.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Nov 2016 14:22:41 +0100

pktools (2.6.7-2) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 23 May 2016 00:14:17 +0200

pktools (2.6.7-1) unstable; urgency=medium

  * Add upstream patch to fix pklas2img build failure.
  * Update symbols for arm64, hppa, hurd-i386, i386, kfreebsd-*,
    mips, mips64el, powerpc, ppc64el & s390x.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 May 2016 20:06:55 +0200

pktools (2.6.7-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * Drop nlopt build dependency & configure option, support disabled upstream.
  * Update copyright file, changes:
    - Update copyright years for Pieter Kempeneers
    - Add license & copyright for QGIS plugin source
    - Drop license & copyright for Autoconf files removed upstream
    - Add license & copyright for svm.{cpp,h}
  * Switch buildsystem to CMake.
  * Enable all hardening buildflags.
  * Update manpages for upstream changes.
  * Add patch to fix SOVERSION.
  * Add library package for libbase.
  * Add patch to fix pkg-config install path.
  * Install pktools-config in dev package.
  * Add patch to fix spelling errors.
  * Add patch to build & install pklas2img.
  * Add manpage for new utilities.
  * Add symbols for libbase.
  * Disable build of pklas2img, FTBFS.
  * Add patch to not install pktools.pc as executable.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 May 2016 11:27:28 +0200

pktools (2.6.6-1) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jan 2016 16:13:35 +0100

pktools (2.6.6-1~exp2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jan 2016 13:47:35 +0100

pktools (2.6.6-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update manpages for upstream changes.
  * Drop caught-typo.patch, applied upstream.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Jan 2016 12:20:27 +0100

pktools (2.6.5-2) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Dec 2015 11:11:30 +0100

pktools (2.6.5-1) unstable; urgency=medium

  * Update symbols for other architectures (except mips*).
  * Add patch to fix 'caught' typo.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Dec 2015 01:28:44 +0100

pktools (2.6.5-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update libgsl-dev dependency for pktools-dev too.
  * Drop gdal-2.0.patch, applied upstream.
  * Update symbols for amd64.
  * Add manpage for pkstatprofile.
  * Update manpages for upstream changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Dec 2015 01:40:30 +0100

pktools (2.6.4-4) unstable; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Add libgsl-dev as preferred build dependency,
    keep libgsl0-dev as alternative for backports.
  * Add patch to support GDAL 2.0.
    (closes: #802631)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Nov 2015 20:14:34 +0100

pktools (2.6.4-3) unstable; urgency=medium

  * Update symbols for mips*, hppa & x32.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Aug 2015 23:18:43 +0200

pktools (2.6.4-2) unstable; urgency=medium

  * Update symbols for other architectures except mips*,
    the experimental buildds for mips* aren't active at the moment.
    (closes: #791240)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Aug 2015 12:37:31 +0200

pktools (2.6.4-2~exp1) experimental; urgency=medium

  * Update symbols for amd64 with GCC 5.
  * Require at least liblas-c-dev 1.8.0-4~ for GCC 5 changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Aug 2015 20:06:03 +0200

pktools (2.6.4-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Jul 2015 21:55:01 +0200

pktools (2.6.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patch applied upstream, refresh remaining patch.
  * Add manpage for pkreclass.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jul 2015 01:09:13 +0200

pktools (2.6.3-2) unstable; urgency=medium

  * Add patch to fix build failure with GCC 5.
    (closes: #778065)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Jun 2015 12:56:08 +0200

pktools (2.6.3-1) unstable; urgency=medium

  * Set the date embedded in man pages to the changelog date for
    reproducible builds.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 22:38:18 +0200

pktools (2.6.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright years in copyright file.
  * Update man pages for upstream changes.
  * Drop deprecated-noinst.patch, applied upstream.
  * Add man pages for pkstat & pkkalman.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 08 Mar 2015 16:37:16 +0100

pktools (2.6.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update man pages with changes in upstream docs.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Add patch to not install deprecated utilities.
  * Update my email to @debian.org address.
  * Update copyright file, move licenses to stand-alone paragraphs.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Mar 2015 23:42:52 +0100

pktools (2.6.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove libbase package, library no longer installed.
  * Add man page for pkann, pkascii2img, pkascii2ogr, pkcomposite, pkcreatect,
    pkcrop, pkdiff, pkdsm2shadow, pkdumpimg, pkdumpogr, pkegcs, pkextract,
    pkfillnodata, pkfilter, pkfilterascii, pkfilterdem, pkfsann, pkfssvm,
    pkgetmask, pkinfo, pklas2img, pkoptsvm, pkpolygonize, pkregann, pksetmask,
    pksieve, pkstatascii, pkstatogr & pksvm.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 12 Dec 2014 14:58:42 +0100

pktools (2.5.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Drop fann-va_list.patch, applied upstream.
  * Update copyright file, add autotools files.
  * Split binaries and libraries into separate packages.
  * Override dh_install to list missing files.
  * Update symbols for amd64.
  * Add upstream metadata.
  * Include config.h & pktools.pc in pktools-dev.
  * Remove .la files before install.
  * Bump Standards-Version to 3.9.6, changes: symbols.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 14 Nov 2014 23:06:42 +0100

pktools (2.5.3-1) unstable; urgency=medium

  [ Ross Gammon ]
  * Team upload.
  * Ignore quilt files and unapply patches after build

  [ Bas Couwenberg ]
  * New upstream release.
    (closes: #757584)
  * Update copyright file.
  * Remove latest_libLAS_support.patch, included upstream.
  * Remove bandwidth-typo.patch, applied upstream.
  * Add a patch by Christian Kastner from libfann fixing the va_list issue on
    arm*. Thanks Gilles Filippini for pointing out the patch.
    (closes: #757979)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 15 Aug 2014 19:29:24 +0200

pktools (2.5.2+20140505-2) unstable; urgency=medium

  [ Ross Gammon ]
  * Team upload.
  * Support for hfd5 transition to v1.8.13.
    Thanks to Gilles Filippini (Closes: #756707)

  [ Bas Couwenberg ]
  * Handle common watch file issues, don't match pktools-latest.tar.gz.
  * Fix duplicate short description.
  * Add patch to fix 'bandwidth' typo.
  * Use dh-autoreconf for retooling.
    (closes: #756653)
  * Add patch to set subdir-objects automake option for forward compatibility.
  * Add gbp.conf to use pristine-tar by default.

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 09 Aug 2014 11:22:46 +0200

pktools (2.5.2+20140505-1) unstable; urgency=low

  * Initial release (closes: #732531).

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 27 Mar 2014 15:57:15 +0100
